# coding: utf-8

"""
    FastAPI

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 0.1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from openapi_client.models.data_create import DataCreate

class TestDataCreate(unittest.TestCase):
    """DataCreate unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> DataCreate:
        """Test DataCreate
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `DataCreate`
        """
        model = DataCreate()
        if include_optional:
            return DataCreate(
                id = '5eb7cf5a86d9755df3a6c593',
                key_in_provider = '',
                provider_id = '5eb7cf5a86d9755df3a6c593',
                friendly_name = '',
                submitted_usernames = [
                    '5eb7cf5a86d9755df3a6c593'
                    ],
                relationships = [
                    '5eb7cf5a86d9755df3a6c593'
                    ],
                access = 'public'
            )
        else:
            return DataCreate(
                key_in_provider = '',
                provider_id = '5eb7cf5a86d9755df3a6c593',
                friendly_name = '',
                access = 'public',
        )
        """

    def testDataCreate(self):
        """Test DataCreate"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
